request_firmware_nowait
Prev | Device Drivers Base | Next

## Name

request_firmware_nowait —

## Synopsis

`int request_firmware_nowait (` | struct module * | module,
| int | uevent,
| const char * | name,
| struct device * | device,
| void * | context,
| void (* | cont`(`const struct firmware *fw, void *context`)``)`;

## Arguments

`module`

  module requesting the firmware

`uevent`

  sends uevent to copy the firmware image if this flag is non-zero else the firmware copy must be done manually.

`name`

  name of firmware file

`device`

  device for which firmware is being loaded

`context`

  will be passed over to `cont`, and `fw` may be `NULL` if firmware request fails.

`cont`

  function will be called asynchronously when the firmware request is over.

## Description

Asynchronous variant of `request_firmware` for contexts where it is not possible to sleep.

Prev | Up | Next
release_firmware | Home | transport_class_register